## infernal 1.0.2

=== documentation/userguide/Makefile ===
# Makefile for producing the Infernal documentation
# SVN $Id: Makefile 2586 2008-09-18 14:23:38Z nawrockie $
#
# Preparation notes.
#   - Install latex2html (version 98-1p1)
#   - latex2html.config is customized for HMMER User Guide (beware)
#   - Install PolyglotMan (version 3.0.5)
#   - need a copy of wulogo.gif for putting in HTML directory.
###########

MANPAGES   = cmalign cmbuild cmcalibrate cmemit cmscore cmsearch cmstat
AIFIGURES  = stl9-63

# pdf:
#   Make the PDF copy of the user's guide, including converted
#   man pages.
#
pdf:
	make ai2pdf
	make manpages
	pdflatex main
	bibtex main
	pdflatex main
	pdflatex main

# manpages: 
#    Convert man pages to LaTeX chapter in User Guide.
#    uses PolyglotMan 3.0.5 "rman", and rmanprocess.pl script in ssdk.
manpages:
# write the manpages.tex "chapter" by conversion
	@echo "%% This chapter automatically generated. Do not edit." > manpages.tex
	@echo "\section{Manual pages}" >> manpages.tex
	for file in $(MANPAGES); do\
	   rman -f LaTeX2e ../manpages/$$file.man | ../../easel/devkit/rmanprocess.pl >> manpages.tex;\
	done

# ai2pdf: 
#      For any figures that we have only as .ai files, make symlinks
#      to .pdf files to fool pdflatex into importing them correctly.
ai2pdf:
	for fig in ${AIFIGURES}; do\
	   if test ! -e Figures/$$fig.pdf && test -e Figures/$$fig.ai; then (cd Figures; ln -s $$fig.ai $$fig.pdf); fi;\
	done

clean:
	-rm -f *~ main.aux main.bbl main.blg main.dvi main.log main.out main.toc

distclean:
	-rm -f *~ main.aux main.bbl main.blg main.dvi main.log main.out main.toc
	-rm -f main.pdf
	-rm -f manpages.tex

=== easel/documentation/Makefile ===
AUTODOC  = ../devkit/autodoc
CEXCERPT = ../devkit/cexcerpt


# Each module in this list obeys three documentation conventions:
#
#  1. It has a .tex file documenting its API.
#     These are handwritten, in the source directory with
#     the .c and .h files.
#
#  2. It can be processed with autodoc_functions to
#     produce the function documentation appendix to 
#     each module. These appendices go to the 
#     autotext/ subdir.
#
#  3. It can be processed with cexcerpts to extract 
#     verbatim code fragments for inclusion in the 
#     documentation. These fragments go to the cexcerpts/
#     subdir.
#
MODULES = easel\
	  esl_alphabet\
	  esl_cluster\
	  esl_dirichlet\
	  esl_distance\
	  esl_dmatrix\
	  esl_exponential\
	  esl_fileparser\
	  esl_gamma\
	  esl_getopts\
	  esl_gev\
	  esl_gumbel\
	  esl_histogram\
	  esl_hyperexp\
	  esl_keyhash\
	  esl_minimizer\
	  esl_mixgev\
	  esl_mpi\
	  esl_msa\
	  esl_msacluster\
	  esl_msaweight\
	  esl_normal\
	  esl_paml\
	  esl_random\
	  esl_randomseq\
	  esl_ratematrix\
	  esl_regexp\
	  esl_rootfinder\
	  esl_scorematrix\
	  esl_sq\
	  esl_sqio\
	  esl_sse\
	  esl_ssi\
	  esl_stack\
	  esl_stats\
	  esl_stopwatch\
	  esl_stretchexp\
	  esl_swat\
	  esl_tree\
	  esl_vectorops\
	  esl_weibull\
	  esl_wuss

pdf:
	make autodoc
	make cexcerpt
	pdflatex main
	bibtex   main
	pdflatex main
	pdflatex main
	mv main.pdf current.pdf

autodoc:
	mkdir -p autotext
	for module in ${MODULES}; do\
	   ${AUTODOC} ../$$module.c >  autotext/$${module}_functions.tex;\
	done

cexcerpt:
	mkdir -p cexcerpts
	for module in ${MODULES}; do\
	   ${CEXCERPT} ../$$module.c cexcerpts;\
	   ${CEXCERPT} ../$$module.h cexcerpts;\
	done

clean:
	-rm *~ TAGS
	-rm main.log main.out main.pdf main.aux main.toc 
	-rm main.bbl main.blg main.brf
	-rm typography.log typography.aux typography.out
	-rm autotext/*.tex

distclean:
	-rm -rf cexcerpts
	-rm -rf autotext
	make clean

## infernal 1.1~rc4

=== debian/changelog ===
infernal (1.1~rc4-2) unstable; urgency=low

  * Team upload.
  * Build-depends on libperl4-corelibs-perl (Closes: #724119).
  * debian/control: removed myself from Uploaders.

 -- Charles Plessy <plessy@debian.org>  Mon, 23 Sep 2013 10:57:17 +0900

infernal (1.1~rc4-1) unstable; urgency=low

  * New upstream source
  * debian/source/format: 3.0 (quilt)
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - do not Build-Depend: quilt since source format implies this
     - The package builds only on architectures with SSE instructions.
       Quoting from build log on armel:
       configure: WARNING: Infernal 1.1 requires VMX or SSE capability for
                  parallel instructions.
       configure: error: It appears your platform has neither and will not
                  support Infernal.
       So all non i386/amd64 architectures were excluded
       Closes: #718742
     - use anonscm in Vcs fields
  * debian/rules:
     - remove redundant setting for flags which is handled by debhelper 9
       automatically
     - use xz compression
  * debian/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Mon, 05 Aug 2013 12:06:12 +0200

infernal (1.1~rc2-1) unstable; urgency=low

  * New upstream version - aiming to support RNAWorld BOINC project,
    with many thanks and regards to Yoyo!
    - cmscore no longer available
  * Bumped policy to 3.9.4 (no changes needed)
    - introduced hardening, with it build dep on
      dpkg-dev (>= 1.16.1~)

 -- Steffen Moeller <moeller@debian.org>  Wed, 01 May 2013 20:24:17 +0200

infernal (1.0.2-3) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Extra fixed for lintian cleanliness (Steffen)

  [ Andreas Tille ]
  * debian/upstream:
    - do not specify DOI twice
    - Moved PMID to references
  * debian/control:
    - Fixed Vcs-Svn field
    - Standards-Version: 3.9.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 08 Mar 2012 11:44:54 +0100

infernal (1.0.2-2) unstable; urgency=low

  * Series of mall fixes (Closes: #643407).
  * source/format 3.0
  * Policy to 3.9.2
  * added infernal-dbg
  * corrected upstream's email address

 -- Steffen Moeller <moeller@debian.org>  Tue, 27 Sep 2011 15:48:27 +0200

infernal (1.0.2-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2009 11:15:34 +0100

infernal (1.0-2) unstable; urgency=low

  * Switch to CDBS to benefit from automagical config.{sub,guess}
    update (debian/rules). Closes: #550253.
  * debian/control:
    - Depend on cdbs, downgraded requirement on debhelper from 7.1 to 7.
    - Transferred bibliographic information from the package description
      to debian/upstream-metadata.yaml.
    - Clarified the short description of the documentation package.
  * Removed debian/infernal.dirs, not needed.
  * Edited README.source, removing mention that infernal is in contrib.
  * debian/copyright points at the version 3 of the GPL.

 -- Charles Plessy <plessy@debian.org>  Sat, 10 Oct 2009 11:22:35 +0900

infernal (1.0-1) unstable; urgency=low

  [ Charles Plessy ]
  * Updated my email address.

  [ Andreas Tille ]
  * New upstream version
  * debian/control:
    - Standards-Version: 3.8.3 (no changes needed)
    - Added myself to uploaders
    - s/Debian-Med/Debian Med/
    - Build-Depends: debhelper (>= 7.1) autotools-dev
    - Package: infernal-doc
  * debian/rules rewritten to make use of short dh
  * debian/copyright:
    - added myself to Copyright holders of debian/*
    - squid is not part of the upstream tarball anymore so this
      paragraph was deleted
    - files/Userguide.pdf: Copied comment about PDF = source from
      README.Debian
  * debian/infernal-doc.doc-base
  * debian/infernal.install: install src/{trcyk,truncyk_check} to
    /usr/bin

  * TODO: Convince upstream to release libeazel which is also used in
    hmmer as a separate library instead of copying the code into
    different projects

 -- Andreas Tille <tille@debian.org>  Fri, 25 Sep 2009 15:17:22 +0200

infernal (0.81-1) experimental; urgency=low

  * Initial release (Closes: #441840)

 -- Steffen Moeller <moeller@debian.org>  Mon, 10 Sep 2007 23:15:37 +0200

=== debian/control ===
Source: infernal
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: dpkg-dev (>= 1.16.1~),
               debhelper (>= 9),
               libperl4-corelibs-perl,
               autotools-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/infernal/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/infernal/trunk/
Homepage: http://infernal.janelia.org/

Package: infernal
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: inference of RNA secondary structural alignments
 Infernal ("INFERence of RNA ALignment") searches DNA sequence
 databases for RNA structure and sequence similarities. It provides an
 implementation of a special variant of profile stochastic context-free
 grammars called covariance models (CMs). A CM is like a sequence
 profile, but it scores a combination of sequence consensus and RNA
 secondary structure consensus, so in many cases, it is more capable of
 identifying RNA homologs that conserve their secondary structure more
 than their primary sequence.
 .
 The tool is an integral component of the Rfam database.

Package: infernal-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: inference of RNA secondary structural alignments – documentation
 Infernal ("INFERence of RNA ALignment") searches DNA sequence
 databases for RNA structure and sequence similarities. It provides an
 implementation of a special case of profile stochastic context-free
 grammars called covariance models (CMs). A CM is like a sequence
 profile, but it scores a combination of sequence consensus and RNA
 secondary structure consensus, so in many cases, it is more capable of
 identifying RNA homologs that conserve their secondary structure more
 than their primary sequence.
 .
 This package provides the documentation which is shipped with the
 code of infernal.

Package: infernal-dbg
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Section: debug
Priority: extra
Depends: ${misc:Depends},
         infernal (= ${binary:Version})
Description: debug information for infernal
 This package contains extra information to help the debugging of the
 infernal suite. The package is auto-generated. You may be asked
 by the upstream developer to install it to help the identification
 of a technical problem.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_auto_clean:
	if [ -r Makefile ]; then $(MAKE) distclean; fi
	-cd documentation/userguide && if [ -r Makefile ]; then make distclean; fi
	-cd easel/documentation && if [ -r Makefile ]; then make distclean; fi
	dh_clean *.1 */*.log *.log */Makefile Makefile documentation/manpages/*.1

override_dh_compress :
	dh_compress -X.pdf

override_dh_strip:
	dh_strip --dbg-package=infernal-dbg

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp

override_dh_builddeb:
	dh_builddeb -- -Z xz

get-orig-source:
	VERSION=`dpkg-parsechangelog | grep Ver | cut -d' ' -f2 | cut -d- -f1` ; \
	URL="ftp://selab.janelia.org/pub/software/infernal/infernal-$${VERSION}.tar.gz"; \
	ln -s infernal-$${VERSION}.tar.gz infernal_$${VERSION}.orig.tar.gz

=== debian/watch ===
version=3
opts="passive,uversionmangle=s/(rc\d+)/~$1/" \
  ftp://infernal.janelia.org/pub/software/infernal/infernal-([^-]*)\.tar\.gz

## infernal 1.1.1

=== debian/changelog ===
infernal (1.1.1-3) unstable; urgency=medium

  * cme fix dpkg-control
  * drop dpg package at all since it is auto-generated by dpkg now
    Closes: #766309

 -- Andreas Tille <tille@debian.org>  Mon, 21 Dec 2015 09:35:57 +0100

infernal (1.1.1-2) unstable; urgency=medium

  * Re-enable i386 by checking availability of sse2
  * d/copyright: Deleted unneeded paragraphs
  * d/rules: drop redundant targets
  * d/README*: drop pararaphs about squid which is not part of the
    source any more

 -- Andreas Tille <tille@debian.org>  Thu, 18 Sep 2014 10:00:12 +0200

infernal (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. 

 -- Charles Plessy <plessy@debian.org>  Fri, 08 Aug 2014 21:45:26 +0900

infernal (1.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Removed i386 architecture as some processors do not provide SSE2. 
  * Conforms with Policy 3.9.5.

 -- Charles Plessy <plessy@debian.org>  Sun, 01 Dec 2013 10:30:00 +0900

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                debhelper (>= 9),
                libperl4-corelibs-perl,
                autotools-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/infernal/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/infernal/trunk/
 Homepage: http://infernal.janelia.org/
 
 Package: infernal
-Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
+Architecture: amd64 kfreebsd-amd64 i386 kfreebsd-i386
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: inference of RNA secondary structural alignments
@@ -46,16 +46,3 @@
  .
  This package provides the documentation which is shipped with the
  code of infernal.
-
-Package: infernal-dbg
-Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
-Section: debug
-Priority: extra
-Depends: ${misc:Depends},
-         infernal (= ${binary:Version})
-Description: debug information for infernal
- This package contains extra information to help the debugging of the
- infernal suite. The package is auto-generated. You may be asked
- by the upstream developer to install it to help the identification
- of a technical problem.
-

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_auto_clean:
	if [ -r Makefile ]; then $(MAKE) distclean; fi
	-cd documentation/userguide && if [ -r Makefile ]; then make distclean; fi
	-cd easel/documentation && if [ -r Makefile ]; then make distclean; fi
	dh_clean *.1 */*.log *.log */Makefile Makefile documentation/manpages/*.1

override_dh_compress :
	dh_compress -X.pdf

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install
	for bin in `ls $(CURDIR)/debian/infernal/usr/lib/infernal` ; do \
	    if [ $$bin != cmalign ] ; then \
		ln -s cmalign $(CURDIR)/debian/infernal/usr/bin/$$bin ; \
	    fi ; \
	done

## infernal 1.1.2

=== debian/changelog ===
infernal (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix watchfile.
  * Make build reproducible.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 06 Aug 2016 00:00:56 +0000

infernal (1.1.1-5) unstable; urgency=medium

  * Team upload.
  [Canberk Koç]
  * Added Autopkgtest suite
  * debian/rules file changed
  * debian/tests directory added 

  [ Andreas Tille ]
  * Move packaging from SVN to Git
  * cme fix dpkg-control
  * Better hardening

 -- Canberk Koç  <canberkkoc@gmail.com>  Wed, 22 Jun 2016 05:35:41 +0300

infernal (1.1.1-4) unstable; urgency=medium

  * Architecture: any-amd64 any-i386
    Closes: #815310
  * cme fix dpkg-control
  * Secure Vcs-Browser

 -- Andreas Tille <tille@debian.org>  Sat, 20 Feb 2016 23:07:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.16.1~),
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 9),
                libperl4-corelibs-perl,
                autotools-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/infernal/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/infernal/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/infernal.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/infernal.git
 Homepage: http://infernal.janelia.org/
 
 Package: infernal
-Architecture: amd64 kfreebsd-amd64 i386 kfreebsd-i386
+Architecture: any-amd64 any-i386
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: inference of RNA secondary structural alignments

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+pkgdata:=infernal
+sampledir:=$(CURDIR)/debian/$(pkgdata)/usr/share/doc/$(pkgdata)/examples
 
 %:
 	dh  $@
@@ -23,3 +28,15 @@
 		ln -s cmalign $(CURDIR)/debian/infernal/usr/bin/$$bin ; \
 	    fi ; \
 	done
+
+override_dh_installexamples:
+	dh_installexamples
+	mkdir -p $(sampledir)/src/;
+	mkdir -p $(sampledir)/easel/miniapps/;
+	find ./src -name "*test" -exec cp \{\} $(sampledir)/src/ \;
+	cp ./src/itest_brute $(sampledir)/src/;
+	cp ./easel/miniapps/esl-reformat $(sampledir)/easel/miniapps/;
+	cp ./easel/miniapps/esl-shuffle $(sampledir)/easel/miniapps/;
+	cp ./easel/miniapps/esl-sfetch $(sampledir)/easel/miniapps/;
+	cp -aR testsuite $(sampledir)/;
+	cp ./easel/devkit/sqc $(sampledir)/;

=== debian/watch ===
version=3
opts="uversionmangle=s/(rc\d+)/~$1/" \
http://eddylab.org/infernal/ infernal-([^-]*)\.tar\.gz

## infernal 1.1.3

=== debian/changelog ===
infernal (1.1.3-5) unstable; urgency=medium

  * Make build reproducible
    Closes: #953117
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 04 Mar 2020 19:51:06 +0100

infernal (1.1.3-4) unstable; urgency=medium

  * Team upload.
  * fix i386 build by always setting -msse2

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 07 Dec 2019 11:22:55 +0100

infernal (1.1.3-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible
    Closes: #946315
  * Enable "nocheck" build profile
    Closes: #946314

  [ Andreas Tille ]
  * Remove patches autoreconf.patch, format_security.patch that are
    missing from debian/patches/series.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Name (from ./configure).

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2019 08:56:34 +0100

infernal (1.1.3-2) unstable; urgency=medium

  * Team upload.
  * Add python3 build-dep for `make check`
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit.
  * Enable a verbose build log
  * infernal-doc: mark Multi-Arch: foreign (thanks Multiarch hinter!)
  * debian/patches/hardening: added CPPFLAGS to easel, rmark, and hmmer/profmark
  * Install example binaries into /usr/lib/ and symlink them into the
    doc/infernal/examples directory (fixes a FHS violation)
  * Added missing autopkgtest dependency on python3

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 01 Dec 2019 16:35:34 +0100

infernal (1.1.3-1) unstable; urgency=medium

  * New upstream version
    - Upstream accepted patch for reproducible builds
    - autoreconf now works without respective non-applicable patch
  * Still debian/TODO: remove code copy of hmmer
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Steffen Moeller <moeller@debian.org>  Sat, 30 Nov 2019 00:03:03 +0100

infernal (1.1.2-2) unstable; urgency=medium

  * Fix homepage
  * Add debian/TODO: remove code copy of hmmer
  * debhelper 10
  * d/watch: version=4
  * Added references to RRID and OMICtools registries (Steffen Moeller)
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Fix configure.ac to enable autoreconf
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jul 2018 12:20:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                libperl4-corelibs-perl,
-               autotools-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/infernal.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/infernal.git
-Homepage: http://infernal.janelia.org/
+               python3
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/infernal
+Vcs-Git: https://salsa.debian.org/med-team/infernal.git
+Homepage: http://eddylab.org/infernal/
 
 Package: infernal
 Architecture: any-amd64 any-i386
@@ -31,6 +31,7 @@
 Package: infernal-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: inference of RNA secondary structural alignments – documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -msse2

include /usr/share/dpkg/default.mk
pkgdata:=infernal
sampledir:=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples
sampledir_lib:=$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_TARGET_MULTIARCH)/$(DEB_SOURCE)/examples

%:
	dh  $@

override_dh_auto_clean:
	if [ -r Makefile ]; then $(MAKE) distclean; fi
	-cd documentation/userguide && if [ -r Makefile ]; then make distclean; fi
	-cd easel/documentation && if [ -r Makefile ]; then make distclean; fi
	dh_clean *.1 */*.log *.log */Makefile Makefile documentation/manpages/*.1
	rm -f testsuite/i49.tbl

override_dh_compress :
	dh_compress -X.pdf

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	$(MAKE) install -j$(shell nproc) AM_UPDATE_INFO_DIR=no V=1 prefix=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install
	for bin in `ls $(CURDIR)/debian/infernal/usr/lib/infernal` ; do \
	    if [ $$bin != cmalign ] ; then \
		ln -s cmalign $(CURDIR)/debian/infernal/usr/bin/$$bin ; \
	    fi ; \
	done

override_dh_installexamples:
	dh_installexamples
	mkdir -p $(sampledir)
	mkdir -p $(sampledir_lib)/src/
	mkdir -p $(sampledir_lib)/easel/miniapps/
	find ./src -name "*test" -exec cp \{\} $(sampledir_lib)/src/ \;
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cp ./src/itest_brute $(sampledir_lib)/src/
endif
	cp ./easel/miniapps/esl-reformat $(sampledir_lib)/easel/miniapps/
	cp ./easel/miniapps/esl-shuffle $(sampledir_lib)/easel/miniapps/
	cp ./easel/miniapps/esl-sfetch $(sampledir_lib)/easel/miniapps/
	cd $(sampledir) && ln -s ../../../../lib/$(DEB_TARGET_MULTIARCH)/$(DEB_SOURCE)/examples/easel ./easel \
		&& ln -s ../../../../lib/$(DEB_TARGET_MULTIARCH)/$(DEB_SOURCE)/examples/src ./src
	cp -aR testsuite $(sampledir)/
	rm $(sampledir)/testsuite/*.tbl
	cp ./easel/devkit/sqc $(sampledir)/

## infernal 1.1.4

=== debian/changelog ===
infernal (1.1.4-1) unstable; urgency=medium

  * Enable Architecture: all builds on arm4
    Closes: #976550
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Dec 2020 18:49:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,19 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libperl4-corelibs-perl,
                python3
-Standards-Version: 4.5.0
+#Build-Depends-Indep: texlive-latex-recommended,
+#                     texlive-latex-extra,
+#                     texlive-fonts-recommended,
+#                     rman,
+#                     hmmer-examples
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/infernal
 Vcs-Git: https://salsa.debian.org/med-team/infernal.git
 Homepage: http://eddylab.org/infernal/
+Rules-Requires-Root: no
 
 Package: infernal
 Architecture: any-amd64 any-i386

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 pkgdata:=infernal
 sampledir:=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples
 sampledir_lib:=$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_TARGET_MULTIARCH)/$(DEB_SOURCE)/examples
+export DATE=$(shell date --date=@$(SOURCE_DATE_EPOCH) '+%d %B %Y')
 
 %:
 	dh  $@
@@ -22,22 +23,48 @@
 override_dh_compress :
 	dh_compress -X.pdf
 
-override_dh_auto_build:
-	dh_auto_build -- V=1
+override_dh_auto_configure-arch:
+	dh_auto_configure -a
 
-override_dh_auto_install:
+override_dh_auto_build-arch:
+	dh_auto_build -a -- V=1
+
+override_dh_auto_build-indep_see_debian_README.source:
+	# Besides the reasons given in README.source this target can not
+	# fully reproduce the Userguide.pdf since master.bib is not available
+	# Thus the References section will remain empty
+	cd documentation/userguide ; \
+	sed -e 's/@INFERNAL_VERSION@/$(DEB_VERSION_UPSTREAM)/' -e 's/@INFERNAL_DATE@/$(DATE)/' titlepage.tex.in > titlepage.tex ; \
+	echo "     LATEX Userguide.pdf  (see latex.log for output)" ; \
+	echo "%% This chapter automatically generated. Do not edit." > manpages.tex ; \
+	echo "\section{Manual pages}" >> manpages.tex ; \
+	for file in ../manpages/*.man ; do\
+	    rman -f LaTeX2e $$file 2>/dev/null | /usr/share/doc/hmmer/examples/easel/devkit/rmanprocess.pl >> manpages.tex ;\
+	done ; \
+	pdflatex main   > latex.log 2>&1 ; \
+	bibtex main    >> latex.log 2>&1 ; \
+	pdflatex main  >> latex.log 2>&1 ; \
+	pdflatex main  >> latex.log 2>&1 ; \
+	mv main.pdf Userguide.pdf
+
+override_dh_auto_install-arch:
 	$(MAKE) install -j$(shell nproc) AM_UPDATE_INFO_DIR=no V=1 prefix=$(CURDIR)/debian/tmp
 
-override_dh_install:
-	dh_install
+override_dh_auto_configure-indep:
+override_dh_auto_build-indep:
+override_dh_auto_install-indep:
+	echo "Nothing to do for architecture all binary packages"
+
+override_dh_install-arch:
+	dh_install -a
 	for bin in `ls $(CURDIR)/debian/infernal/usr/lib/infernal` ; do \
 	    if [ $$bin != cmalign ] ; then \
 		ln -s cmalign $(CURDIR)/debian/infernal/usr/bin/$$bin ; \
 	    fi ; \
 	done
 
-override_dh_installexamples:
-	dh_installexamples
+override_dh_installexamples-arch:
+	dh_installexamples -a
 	mkdir -p $(sampledir)
 	mkdir -p $(sampledir_lib)/src/
 	mkdir -p $(sampledir_lib)/easel/miniapps/
@@ -51,5 +78,5 @@
 	cd $(sampledir) && ln -s ../../../../lib/$(DEB_TARGET_MULTIARCH)/$(DEB_SOURCE)/examples/easel ./easel \
 		&& ln -s ../../../../lib/$(DEB_TARGET_MULTIARCH)/$(DEB_SOURCE)/examples/src ./src
 	cp -aR testsuite $(sampledir)/
-	rm $(sampledir)/testsuite/*.tbl
+	rm -f $(sampledir)/testsuite/*.tbl
 	cp ./easel/devkit/sqc $(sampledir)/

## infernal 1.1.5

=== debian/changelog ===
infernal (1.1.5-3) unstable; urgency=medium

  * Fix clean target
    Closes: #1045517
  * Standards-Version: 4.7.0 (routine-update)
  * Drop ${shlibs:Depends} from doc package

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2024 18:38:04 +0100

infernal (1.1.5-2) unstable; urgency=medium

  * Team upload.
  * d/bin/cmalign: adjust SSE2 check to only run on i386 systems, allowing
                   the /usr/lib/infernal/cm* apps to run on arm64 systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 16 Sep 2023 15:58:22 +0200

infernal (1.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set field Upstream-Name in debian/copyright.
  * Fix typo in debian/rules rules: override_dh_compress  ⇒ override_dh_compress
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * d/control: build for arm64
  * d/upstream/metadata: link to their GitHub repo
  * d/rules: only pass -msse2 on i386
  * d/patches: forward upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Sep 2023 22:03:23 +0200

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
 #                     texlive-fonts-recommended,
 #                     rman,
 #                     hmmer-examples
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/infernal
 Vcs-Git: https://salsa.debian.org/med-team/infernal.git
 Homepage: http://eddylab.org/infernal/
 Rules-Requires-Root: no
 
 Package: infernal
-Architecture: any-amd64 any-i386
+Architecture: any-amd64 any-i386 arm64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: inference of RNA secondary structural alignments
@@ -38,8 +38,7 @@
 Architecture: all
 Section: doc
 Multi-Arch: foreign
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Description: inference of RNA secondary structural alignments – documentation
  Infernal ("INFERence of RNA ALignment") searches DNA sequence
  databases for RNA structure and sequence similarities. It provides an

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc\d+)/~$1/" \
http://eddylab.org/infernal/ infernal-([^-]*)\.tar\.gz
